package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 数据获取方式(0.主动上报，1被动拉取)枚举类
*
* @author zxfei
*/
public enum DeviceDataSourceWayEnum {
    主动上报(0, "主动上报");
    private Integer value;
    private String desc;

    DeviceDataSourceWayEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static DeviceDataSourceWayEnum getByValue(Integer value) {
        for (DeviceDataSourceWayEnum deviceDataSourceWayEnum : DeviceDataSourceWayEnum.values()) {
            if (deviceDataSourceWayEnum.getValue() == value) {
                return deviceDataSourceWayEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (DeviceDataSourceWayEnum item : DeviceDataSourceWayEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}